stages:
  - build

docker:
  stage: build
  image: docker:latest
  services:
    - docker:dind
  script:
    - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY
    - docker build --pull -t $CI_REGISTRY_IMAGE:1.5 1.5
    - docker build --pull -t $CI_REGISTRY_IMAGE:latest 1.5
    - docker push $CI_REGISTRY_IMAGE:1.5
    - docker push $CI_REGISTRY_IMAGE:latest
